/**********************************************************************
  Copyright (c) 2000-2003,2009 Michael Dillon
  All rights reserved.

  Redistribution and use in source and binary forms, with or without 
  modification, are permitted provided that the following conditions 
  are met:

       Redistributions of source code must retain the above copyright 
       notice, this list of conditions and the following disclaimer. 

       Redistributions in binary form must reproduce the above 
       copyright notice, this list of conditions and the following 
       disclaimer in the documentation and/or other materials provided 
       with the distribution. 

       Neither the name of Crystalline Realms, Midnight's Hour BBS
       nor the names of their contributors may be used to endorse or
	   promote products derived from this software without specific
	   prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
  OF THE POSSIBILITY OF SUCH DAMAGE.
 *********************************************************************/
/*********************************************************************
 headers.h - Used to include various headers for specific platforms
             and standard headers.
 *********************************************************************/
#ifndef TINYTIC_HEADERS__H
#define TINYTIC_HEADERS__H 1

#if !defined(__cplusplus)
# error "C++ only!"
#endif /* __cplusplus */

#include <iostream>
#include <iomanip>
#include <fstream>
#include <string>
#include <sstream>
#include <cerrno>
#include <cctype>
#include <cstring>
#include <cstdio>
#include <cstdlib>

#ifndef __NAMESPACE_SET
# if !defined(_STLPORT_VERSION) || defined(_STL_USE_NAMESPACES)
    using namespace std;
# endif /* !_STLPORT || _STL_USE_NAMESPACES */
# define __NAMESPACE_SET 1
#endif /* __NAMESPACE_SET */

#if defined(__WATCOMC__) || defined(_WIN32)
# include <direct.h>
# include <process.h>
#endif /* __WATCOMC__ || _WIN32 */

#if defined(_WIN32)
# include <windows.h>
#endif /* _WIN32 */

#if defined(unix) || defined(linux) || defined(__GNUC__)
# include <unistd.h>
#endif /* unix || linux || __GNUC__ */

#include <time.h>

#endif /* TINYTIC_HEADERS__H */
